LMS API Documentation v19.01.0

Public Types | Data Fields
lms_stream_t Struct Reference
Sample Streaming functions

`#include <LimeSuite.h>`

## Public Types
enum | { LMS_FMT_F32 =0, LMS_FMT_I16, LMS_FMT_I12 }
| Data output format. More...

## Data Fields
size_t | handle
bool | isTx
| Indicates whether stream is TX (true) or RX (false)
uint32_t | channel
| Channel number. Starts at 0.
uint32_t | fifoSize
| FIFO size (in samples) used by stream.
float | throughputVsLatency
enum lms_stream_t:: { ... } | dataFmt
| Data output format.

## Detailed Description

Stream structure

Definition at line 1063 of file LimeSuite.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Data output format.

Enumerator
LMS_FMT_F32 | 32-bit floating point
LMS_FMT_I16 | 16-bit integers
LMS_FMT_I12 | 12-bit integers stored in 16-bit variables

Definition at line 1088 of file LimeSuite.h.

## Field Documentation

## ◆ handle

size_t handle

Stream handle. Should not be modified manually. Assigned by LMS_SetupStream().

Definition at line 1068 of file LimeSuite.h.

## ◆ throughputVsLatency

float throughputVsLatency

Parameter for controlling configuration bias toward low latency or high data throughput range [0,1.0]. 0 - lowest latency, usually results in lower throughput 1 - higher throughput, usually results in higher latency

Definition at line 1085 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-19.01.0/src/lime/LimeSuite.h